org.apache.tinkerpop.gremlin.language.grammar

## Class GremlinParser.TraversalMethod_by_FunctionContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.tinkerpop.gremlin.language.grammar.GremlinParser.TraversalMethod_byContext
      - - org.apache.tinkerpop.gremlin.language.grammar.GremlinParser.TraversalMethod_by_FunctionContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    GremlinParser

      public static class GremlinParser.TraversalMethod_by_FunctionContext
      extends GremlinParser.TraversalMethod_byContext

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalMethod_by_FunctionContext(GremlinParser.TraversalMethod_byContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)`
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `org.antlr.v4.runtime.tree.TerminalNode` | `LPAREN()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `RPAREN()`
    `GremlinParser.TraversalFunctionContext` | `traversalFunction()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.language.grammar.GremlinParser.TraversalMethod_byContext

      `copyFrom, getRuleIndex`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TraversalMethod_by_FunctionContext

          public TraversalMethod_by_FunctionContext(GremlinParser.TraversalMethod_byContext ctx)

  - ### Method Detail

    - #### LPAREN

          public org.antlr.v4.runtime.tree.TerminalNode LPAREN()

    - #### traversalFunction

          public GremlinParser.TraversalFunctionContext traversalFunction()

    - #### RPAREN

          public org.antlr.v4.runtime.tree.TerminalNode RPAREN()

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### accept

          public <T> T accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.